package com.pcloud.book.group.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/7/24 17:55
 **/
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppClickDTO implements Serializable {
    private static final long serialVersionUID = 7389809828237942796L;

    @ApiModelProperty("社群书id")
    private Long bookGroupId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("群id")
    private Long qrcodeId;

    @ApiModelProperty("微信群id")
    private String weixinGroupId;

    @ApiModelProperty("应用或作品id")
    private Long serveId;

    @ApiModelProperty("应用或作品名称")
    private String serveName;

    @ApiModelProperty("类型")
    private String serveType;

    @ApiModelProperty("应用或作品类型名称")
    private String typeName;

    @ApiModelProperty("类型code")
    private String typeCode;

    @ApiModelProperty("应用或作品图片")
    private String image;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    @Override
    public String toString() {
        return "AppClickDTO{" +
                "bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", qrcodeId=" + qrcodeId +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                ", serveId=" + serveId +
                ", serveName='" + serveName + '\'' +
                ", serveType='" + serveType + '\'' +
                ", typeName='" + typeName + '\'' +
                ", typeCode='" + typeCode + '\'' +
                ", image='" + image + '\'' +
                '}';
    }
}
